﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace InteractiveJewels
{
    /// <summary>
    /// Interaction logic for NewGame.xaml
    /// </summary>
    public partial class NewGame : Window
    {
        Microsoft.Win32.OpenFileDialog dlg;
        public NewGame()
        {
            InitializeComponent();
            dlg = new Microsoft.Win32.OpenFileDialog();
            dlg.CheckFileExists = true;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if(dlg.ShowDialog() == true)
            {
                fileName.Text = dlg.FileName;
            }
        }

        private void fileName_TextChanged(object sender, TextChangedEventArgs e)
        {
            OKButton.IsEnabled = File.Exists(fileName.Text);
        }

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
            Close();
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
            Close();
        }
    }
}
